<?php

define('ENGINE_ROOT_PATH', dirname(__FILE__));

function engineLoadClass($className)
{
	if (strncmp('ProxyPay', $className, 8) === 0) {
		$path   = ENGINE_ROOT_PATH;
		$length = 8;
	} else {
		return;
	}
	$path .= str_replace('\\', '/', substr($className, $length)) . '.php';

	if (file_exists($path)) {
		require $path;
	}
}

spl_autoload_register('engineLoadClass');
